#
# spec file for package php5-pear-log (Version 1.9.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp mm module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions php5 php5-pear php5-zlib popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           php5-pear-log
BuildRequires:  php5-pear
%define peardir %{_datadir}/php5/PEAR
License:        Other uncritical OpenSource License, Other License(s), see package
Group:          Productivity/Networking/Web/Servers
Version:        1.9.3
Release:        17.2
Summary:        PEAR Logging utilities
URL:            http://pear.php.net/package/Log
Requires:       php5-pear
Provides:       php-pear-log
Source:         http://pear.php.net/get/Log-%{version}.tgz
BuildArch:    noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Log framework for PEAR provides an abstracted logging system. It
supports logging to console, file, syslog, SQL, Sqlite, mail and mcal
targets. It also provides a subject - observer mechanism.



Authors:
--------
    Jon Parise <jon@php.net>

%debug_package
%prep
%setup -c

%build

%install
mv package*.xml Log-%{version}
cd Log-%{version}
PHP_PEAR_PHP_BIN="/usr/bin/php5 -d memory_limit=50m" pear5 -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%files
%defattr(-, root, root)
%{peardir}/data/Log
%dir %{peardir}/test
%{peardir}/test/Log
%{peardir}/Log
%{peardir}/Log.php
%doc %{_docdir}/%{name}

%changelog -n php5-pear-log
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Dec 19 2005 - mmarek@suse.cz
- fixed nfb
* Thu Dec 15 2005 - mmarek@suse.cz
- created php5-pear-log for horde on php5
  [#138284]
